Name:          mupdf
Version:       1.23.11
Release:       1mamba
Summary:       A lightweight PDF, XPS, and E-book viewer
Group:         Graphical Desktop/Applications/Publishing
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://mupdf.com/
Source:        https://mupdf.com/downloads/archive/mupdf-%{version}-source.tar.lz
#Source:        http://mupdf.com/downloads/mupdf-%{version}-source.tar.gz
License:       Affero GNU Public License
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXrandr-devel
BuildRequires: libcurl-devel
BuildRequires: libglvnd-devel
BuildRequires: libopenssl-devel
## AUTOBUILDREQ-END

%description
A lightweight PDF, XPS, and E-book viewer.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

#% debug_package

%prep
%setup -q -n %{name}-%{version}-source

%build
%make prefix=%{_prefix} libdir=%{_libdir}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall prefix=%{_prefix} libdir=%{_libdir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
#%{_bindir}/mujstest
#%{_bindir}/mjsgen
%{_bindir}/mupdf-gl
%{_bindir}/mupdf-x11
%{_bindir}/mupdf-x11-curl
%{_bindir}/muraster
%{_bindir}/mutool
%{_mandir}/man1/mupdf.1*
%{_mandir}/man1/mutool.1*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/mupdf
%{_includedir}/mupdf/*.h
%dir %{_includedir}/mupdf/fitz
%{_includedir}/mupdf/fitz/*.h
%dir %{_includedir}/mupdf/pdf
%{_includedir}/mupdf/pdf/*
%{_libdir}/libmupdf.a
%{_libdir}/libmupdf-third.a
%dir %{_docdir}/mupdf
%{_docdir}/mupdf/*
%doc CHANGES README


%changelog
* Thu Feb 22 2024 Automatic Build System <autodist@openmamba.org> 1.23.11-1mamba
- automatic version update by autodist

* Thu Feb 08 2024 Automatic Build System <autodist@openmamba.org> 1.23.10-1mamba
- automatic version update by autodist

* Thu Jan 11 2024 Automatic Build System <autodist@openmamba.org> 1.23.9-1mamba
- automatic version update by autodist

* Tue Jan 09 2024 Automatic Build System <autodist@openmamba.org> 1.23.8-1mamba
- automatic version update by autodist

* Thu Nov 30 2023 Automatic Build System <autodist@mambasoft.it> 1.23.7-1mamba
- automatic version update by autodist

* Thu Nov 16 2023 Automatic Build System <autodist@mambasoft.it> 1.23.6-1mamba
- automatic version update by autodist

* Tue Nov 07 2023 Automatic Build System <autodist@mambasoft.it> 1.23.5-1mamba
- automatic version update by autodist

* Wed Oct 11 2023 Automatic Build System <autodist@mambasoft.it> 1.23.4-1mamba
- automatic version update by autodist

* Tue Sep 05 2023 Automatic Build System <autodist@mambasoft.it> 1.23.3-1mamba
- automatic version update by autodist

* Fri Sep 01 2023 Automatic Build System <autodist@mambasoft.it> 1.23.2-1mamba
- automatic version update by autodist

* Thu Aug 31 2023 Automatic Build System <autodist@mambasoft.it> 1.23.1-1mamba
- automatic version update by autodist

* Wed Aug 23 2023 Automatic Build System <autodist@mambasoft.it> 1.23.0-1mamba
- automatic version update by autodist

* Fri May 12 2023 Automatic Build System <autodist@mambasoft.it> 1.22.1-1mamba
- automatic version update by autodist

* Sun Apr 16 2023 Automatic Build System <autodist@mambasoft.it> 1.22.0-1mamba
- automatic version update by autodist

* Wed Jan 11 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.21.1-1mamba
- update to 1.21.1

* Tue Apr 12 2022 Automatic Build System <autodist@mambasoft.it> 1.19.1-1mamba
- automatic version update by autodist

* Tue Oct 05 2021 Automatic Build System <autodist@mambasoft.it> 1.19.0-1mamba
- automatic version update by autodist

* Wed Oct 07 2020 Automatic Build System <autodist@mambasoft.it> 1.18.0-1mamba
- automatic version update by autodist

* Thu May 07 2020 Automatic Build System <autodist@mambasoft.it> 1.17.0-1mamba
- automatic version update by autodist

* Mon Mar 30 2020 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.16.1-1mamba
- update to 1.16.1

* Tue Jun 05 2018 Automatic Build System <autodist@mambasoft.it> 1.13.0-1mamba
- automatic version update by autodist

* Sat Jan 13 2018 Automatic Build System <autodist@mambasoft.it> 1.12.0-1mamba
- automatic version update by autodist

* Wed Apr 12 2017 Automatic Build System <autodist@mambasoft.it> 1.11-1mamba
- automatic version update by autodist

* Sat Dec 17 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10a-1mamba
- package created using the webbuild interface
